Namespaces
A namespace represents a grouping of pipelines. Normally it is used to divide teams or logically different sections of workloads. It is the highest level unit as it sits above pipelines in the hierarchy of Gofer
| Method | Endpoint |
|---|---|
| GET | /api/namespaces |
| POST | /api/namespaces |
| GET | /api/namespaces/{namespace_id} |
| PATCH | /api/namespaces/{namespace_id} |
| DELETE | /api/namespaces/{namespace_id} |
List all namespaces
GET
/api/namespacesResponses
| Status | Body | Description |
|---|---|---|
200 | ListNamespacesResponse | successful operation |
4XX | Error | Error |
5XX | Error | Error |
Create a new namespace
POST
/api/namespacesThis route is only accessible for admin tokens.
Request body (required): CreateNamespaceRequest
Responses
| Status | Body | Description |
|---|---|---|
201 | CreateNamespaceResponse | successful creation |
4XX | Error | Error |
5XX | Error | Error |
Get api namespace by id
GET
/api/namespaces/{namespace_id}Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
namespace_id | string | yes | The unique identifier for the target namespace. |
Responses
| Status | Body | Description |
|---|---|---|
200 | GetNamespaceResponse | successful operation |
4XX | Error | Error |
5XX | Error | Error |
Update a namespace's details
PATCH
/api/namespaces/{namespace_id}This route is only accessible for admin tokens.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
namespace_id | string | yes | The unique identifier for the target namespace. |
Request body (required): UpdateNamespaceRequest
Responses
| Status | Body | Description |
|---|---|---|
200 | UpdateNamespaceResponse | successful operation |
4XX | Error | Error |
5XX | Error | Error |
Delete api namespace by id
DELETE
/api/namespaces/{namespace_id}This route is only accessible for admin tokens.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
namespace_id | string | yes | The unique identifier for the target namespace. |
Responses